Anthos 版本和升级支持

本文档介绍 Anthos 组件的哪些版本彼此兼容,并且与 Google Cloud 之外的云产品兼容。

Anthos 组件和多云端支持

以下矩阵展示了 Anthos 组件与集群产品系列之间的版本兼容性。

Anthos 1.6

集群系列 Kubernetes 版本 Anthos 组件
Anthos Service Mesh Anthos Config Management Connect Cloud Run for Anthos Migrate for Anthos Cloud Monitoring Cloud Logging
Google Kubernetes Engine (GKE)(稳定版) 1.17 1.6 / 1.7 / 1.8 1.6 CC 1.6 1.6 1.6 ✓ ✓
Google Kubernetes Engine (GKE)(常规版) 1.18 1.6 / 1.7 / 1.8 1.6 CC 1.6 1.6 1.6 ✓ ✓
Google Kubernetes Engine (GKE)(快速版) 1.19 1.6 / 1.7 / 1.8 1.6 CC 1.6 1.6 1.6 ✓ ✓
Anthos clusters on VMware 1.18 1.6 / 1.7 / 1.8 1.6 1.6 1.6 1.6 ✓ ✓
Anthos clusters on Bare Metal 1.18 1.7 / 1.8 1.6 1.6 1.6 不适用 ✓ ✓
Anthos clusters on AWS 1.18 1.6 / 1.7 / 1.8 1.6 1.6 不适用CR 不适用 不适用 不适用
关联的集群 (Amazon Elastic Kubernetes Service - EKS) 1.18 不适用 1.6 1.6 不适用 不适用 查看指南 查看指南
关联的集群 (Azure Kubernetes Service - AKS) 1.18 不适用 1.6 1.6 不适用 不适用 查看指南 查看指南
关联的集群(Red Hat OKE,OCP 4.4 版) 1.18 不适用 1.6 1.6 不适用 不适用 不适用 不适用

Anthos 1.5

集群系列 Kubernetes 版本 Anthos 组件
Anthos Service Mesh Anthos Config Management Connect Cloud Run for Anthos Migrate for Anthos Cloud Monitoring Cloud Logging
Google Kubernetes Engine (GKE) 1.16(稳定版) 1.16 1.5 / 1.6 / 1.7 1.5 CC 1.5 10.8.0 1.5 ✓ ✓
Google Kubernetes Engine (GKE) 1.17(常规版) 1.17 1.5 / 1.6 / 1.7 1.5 CC 1.5 10.9.0 1.5 ✓ ✓
Google Kubernetes Engine (GKE) 1.18(快速版) 1.18 1.6 / 1.7 1.5 CC 1.5 10.11.3 1.5 ✓ ✓
Anthos clusters on VMware 1.5 1.17 1.5 / 1.6 / 1.7 1.5 1.5 0.16.0 1.5 ✓ ✓
Anthos clusters on AWS 1.5 1.17 1.6 / 1.7 1.5 1.5 不适用CR 不适用 不适用 不适用
关联的集群 (Amazon Elastic Kubernetes Service - EKS) 1.17 1.7 1.5 1.5 不适用 不适用 不适用 不适用
关联的集群 (Azure Kubernetes Service - AKS) 1.17 1.7 1.5 1.5 不适用 不适用 不适用 不适用

Anthos 1.4

集群系列 Kubernetes 版本 Anthos 组件
Anthos Service Mesh Anthos Config Management Connect Cloud Run for Anthos Migrate for Anthos
Google Kubernetes Engine (GKE)GKE 1.16 1.5 / 1.6 1.4 CC 1.4 0.13.2-gke.3 1.4
Anthos clusters on VMware 1.4 1.16 1.5 / 1.6 1.4 1.4 0.10.0-gke.4 1.4
Anthos clusters on AWS 1.4.1 1.16 1.6 1.4 1.4 不适用 不适用
Anthos 关联的集群 (Amazon Elastic Kubernetes Service - EKS) 1.16 1.6 1.4 1.4 不适用 不适用
Anthos 关联的集群 (Azure Kubernetes Service - AKS) 1.16 1.6 1.4 1.4 不适用 不适用

GKE - Anthos on Google Cloud 支持 GKE 集群的发布版本和静态版本。但是,我们建议您尽可能使用发布版本,因为它们可以为 GKE 集群提供自动更新等额外好处。

CC - Config Connector 已通过认证,可在 Google Kubernetes Engine 上的 Anthos Config Management 中运行。并非所有功能都适用于其他 Kubernetes 发行版。

CR - 针对 Anthos clusters on AWS 的 Cloud Run for Anthos 支持目前为预览版。如需详细了解如何使用此功能,请与您的 Google 代表联系。

版本控制支持

如需了解 Anthos 范围内的政策,请参阅版本支持政策

Anthos clusters on VMware 版本控制和升级支持

如需了解 Anthos clusters on VMware 版本控制和升级兼容性,请参阅版本控制和升级